#ifndef DIMENSIONORDERDIALOG_H
#define DIMENSIONORDERDIALOG_H

#include <QDialog>
#include <QGroupBox>
#include <QDialogButtonBox>
#include <QRadioButton>
#include <QVBoxLayout>

#include "Constants.h"

/**
   Creates a dialog which allows the user to choose the order of the widgets. The default order
   is METRIC, CALL, SYSTEM
 */
class DimensionOrderDialog : public QDialog
{
public:
    explicit
    DimensionOrderDialog( QWidget* parent, const QList<DisplayType>& initOrder );

    const QList<DisplayType>&
    getOrder();

private:
    QList<QList<DisplayType> > orders;
    QList<QRadioButton*>       buttons;
    QGroupBox*                 groupBox;
};

#endif // DIMENSIONORDERDIALOG_H
